Subject: Re: [Bier] BIER WG IETF 99 Minutes

From: Greg Shepherd <[email-masked]>
Date: Tue, 1 Aug 2017 11:27:41 -0700

Minutes updated from feedback:

On Mon, Jul 24, 2017 at 11:21 AM, Greg Shepherd <[email-masked]> wrote:

> Please read and review the minutes below, and provide feedback soon so I
> can post them this week. Thanks
>
> ------------
> BIER Meeting IETF 99
> Minute taker: Pierre Pfister
>
> Note Well:
>
> Agenda:
>
> BIER PIM Stitching (draft-hfa-bier-pim-tunneling by Hooman Bidgoli):
> <Slide: Multicast state example>
>
> Greg Shepherd - Where is the edge of the BIER domain?
> Bigdoli Hooman / Andrew Dolganov - P routers only.
>

    Tony: Expect new draft version from the authors to clean-up/clarify
issues discussed like non-dependency on MVPN, BiStrting length, SSM-only,
making clear what’s informational vs normative, terminology, etc.
    Hooman/Andrew – yes new version accounting for WG members feedback on
the list and during the meeting will be published.

>
> <End of presentation>
>
> draft-zhang-bier-babel-extensions-01 by Sandy Zhang:
>
> Greg Shepherd (to Sandy Zhang): Can you tell us what was the babel WG
> feedback was ?
>
>
> Greg Shepherd (to Juliusz Chroboczek): Did you read the draft ?
>
> Juliusz Chroboczek: I have read the draft.
>
> Greg Shepherd: How does it work in networks with non BIER babel routers ?
>
> Sandy Zhang: It is working, there is implementation.
>
> Juliusz Chroboczek: babel WG is looking at this draft with interest. But
> for now the babel WG is focusing on the core elements of babel. This
>  document will therefore not be adopted by the babel WG before the babel
> core specifications are published.
>
>
> Greg Shepherd: BIER is pretty well cooked in this doc. But we would like
> babel to have a better look. This document could live in the babel WG.
>
>
> Toerless Eckert: Did homenet went to mbone to ask for input ?
>
> Pierre Pfister: I went to mbone and pim WGs to present homenet and
> multicast. They did not care.
>
> Alia Atlas: Babel is the place for this document to be done. Because BIER
> depends on advertising things. Babel experts will have to look at it.
>  The homenet architecture document only talks about PIM, but BIER
> applicability could be evaluated.
>
> Tim Chown: Babel is the homenet routing protocol. There was some
> discussion about homenet in the BIER WG at some point.
>
> Alia: Please have inter-WG discussions on mailing lists. IETF process also
> involves other WGs when documents are reviewed.
>
>
> draft-zhangwu-bier-nvo3-analysis-00 by Sandy Zhang:
>
> Tony Przygienda: Does multi-homing work ? If there are multiple join ? How
> to not get replicates ?
>
> Sandy Zhang: BMLD does that. Leaf knows about group membership.
>
> Tony Przygienda: We are short in time. Continue the dicussion on the
> mailing list.
>
> Toerless Eckert: We should present to NVO3. They don't need to understand
> BIER, but they would know the service that they would get using BIER.
>
> Sandy Zhang: Want to clarify that the draft is under discussion with
> people I know which are working on data-centers.
>
> Alia Atlas: There is an NVO3mcast in the publication queue. It went to PIM
> and mbone for review. Please review that document in BIER as well.
>
>
>
> BIER-TE/BIER-TE-FRR by Toerless Eckert:
>
> Greg Shepherd (chair-hat-on): When this first came out. There were
> concerns.
>
> Toerless Eckert: They are addressed. But we didn't renew the call for
> adoption.
>
> Greg Shepherd: Is this work that we should do ?
>
> Yes: Many hands up
> No: No hands up
>
> Alia Atlas: If this has hardware impact, do we need to hold off the
> architecture document ? Should we delay the implementation finalization ?
>
> Greg Shepherd: I think the BIER FIB doesn't change.
>
> Toerless Eckert: It is up to the vendors to decide whether they want to do
> it or not.
>
> Greg Shepherd: If this changes the architecture, it should be added to the
> architecture document.
>
> Alia Atlas: It is concerning though.
>
> Andrew Dolganow: Do not delay.
>
> Greg Shepherd: I agree
>
> Toerless Eckert: I don't want to hold either. Implementers should check
> this !
>
>
> draft-zzhang-bier-evpn-00 by Jeffrey Zhang:
>
> Greg Shepherd: Who read the draft ? --> 6 to 8 hands up
>
> Status Update from Chair:
>
> Greg Shepherd: Operation considerations. There will be an operational doc
> out of the group.
>
> Greg Shepherd: Call for document shepherds for WGLC docs.
>
> Alia Atlas: Sheparding doc requires reading the document. It is cool to
> discover IETF process. It is helpful to show interest.
>
> Ethertype for BIER:
>
> Alia Atlas: We need encap draft. Tony said there is a draft about encap
> and header format. Since MPLS is going to be deployed soon, and there
>  is no strong request for Ethernet, we can wait for IEEE and MPLS code to
> happen first.
>
> Justification Draft: Greg and Andrew will begin the work.
>
> Adjourn.
>